Ticket #1118 (closed enhancement: fixed)

Opened 10 years ago

Last modified 8 years ago

管理者への新規SNS登録者通知機能

Reported by: tejima Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.13.6
Component: pne-admin Version:
Keywords: Cc:

Description (Last modified by kiwa)

■概要

新規にSNSに入会したメンバーがいた際、管理用メールアドレスへ通知メールを送信する機能。

■仕様

退会通知同様、新規メンバーのSNS入会時に管理用メールアドレスへ専用の通知メールを送信する。

■関連情報

元のDescription

http://openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=2293	
新規登録者があった場合、管理者に通知する機能	

"新規登録者があった場合、管理者に通知が来る機能を追加して欲しい。
退会者通知機能がある以上、新規登録者も必要です。"

Attachments

trunk.patch (4.2 kB) - added by ruikubo on 02/07/09 20:59:15.
2系trunk版のパッチを作成したので添付します。#68と重複?
trunk_add_config.patch (1.5 kB) - added by ruikubo on 02/18/09 16:40:19.
送信可否設定(comment:5)の追加
edit_c_admin_config.PNG (25.7 kB) - added by ruikubo on 02/18/09 16:40:37.
画面キャプチャ
20090219_edit_mail_send.jpg (13.0 kB) - added by kiwa on 02/19/09 14:21:51.
仕様案

Change History

01/18/08 17:23:42 changed by kiwa

  • description changed.

02/07/09 20:59:15 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成したので添付します。#68と重複?

02/09/09 17:08:08 changed by ruikubo

#2466とも重複ですね。

02/12/09 09:41:41 changed by kiwa

  • milestone set to OpenPNE2.13.6.

ありがとうございます!2.13に取り込みたいと思いますー

02/17/09 20:27:30 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.
  • description changed.
  • summary changed from 新規SNS入会時に管理者に対してメールを送信する to 管理者への新規SNS登録者通知機能.

取り込みやります。

(follow-up: ↓ 6 ) 02/17/09 20:31:50 changed by kiwa

  • keywords set to 確認中.

r10788 にて取り込みました。SNS設定に送信可否設定の追加が必要ですね。

02/18/09 16:40:19 changed by ruikubo

  • attachment trunk_add_config.patch added.

送信可否設定(comment:5)の追加

02/18/09 16:40:37 changed by ruikubo

  • attachment edit_c_admin_config.PNG added.

画面キャプチャ

(in reply to: ↑ 5 ; follow-up: ↓ 8 ) 02/18/09 16:43:48 changed by ruikubo

Replying to kiwa:

r10788 にて取り込みました。SNS設定に送信可否設定の追加が必要ですね。

退会者通知可否の設定値を流用したパッチを添付しました。 SNS設定画面に文言を追加しています。

別項目(別の設定値)にした方が良いですかね?

02/19/09 14:21:51 changed by kiwa

  • attachment 20090219_edit_mail_send.jpg added.

仕様案

02/19/09 14:26:09 changed by kiwa

Replying to ruikubo:

ありがとうございます!

別々の項目にすると(SNS設定の項目数自体が多いせいか)少し冗長な感じもしそうなので、私はruikuboさんの仕様でいいかなとも思うんですが、需要的にはどうなんでしょう。

もし別々の設定項目が必要なら、退会者通知設定ごと「メール送信設定(admin_page_edit_mail_send)」に移動しちゃってもいいかもですね。

仕様案

2.13.6では、comment:6 でいただいた仕様でいってみますか?

(in reply to: ↑ 6 ) 02/23/09 10:24:50 changed by kiwa

  • keywords deleted.

Replying to ruikubo:

パッチ取り込みます。

(follow-up: ↓ 10 ) 02/23/09 10:28:39 changed by kiwa

  • keywords set to 確認中.

#10821にて取り込みました。

(in reply to: ↑ 9 ) 02/23/09 10:29:06 changed by kiwa

Replying to kiwa:

#10821にて取り込みました。

r10821 の誤りでした。

(follow-ups: ↓ 12 ↓ 13 ) 02/26/09 15:50:58 changed by kawahara

ささいなことですが、

webapp/modules/admin/page/edit_mail_send.php

 50 //            'm_admin_regist' => '登録メンバー情報メール',
 51 // →SNS設定から変更できる
 52 //            'm_admin_taikai' => '退会メンバー情報メール',

となっているため、SNS設定から変更できるのは 'm_admin_taikai' のみのように思えてしまいます。

 50 // →SNS設定から変更できる
 51 //            'm_admin_regist' => '登録メンバー情報メール', 
 52 //            'm_admin_taikai' => '退会メンバー情報メール',

のほうが納得できます。

(in reply to: ↑ 11 ) 02/26/09 15:53:29 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.

Replying to kawahara:

なおしますー

(in reply to: ↑ 11 ; follow-up: ↓ 14 ) 02/26/09 15:57:16 changed by kiwa

  • keywords changed from 差し戻し to 確認中.

Replying to kawahara:

指摘されたコメントの部分を r10880 にて修正しました。

(in reply to: ↑ 13 ) 02/26/09 15:58:38 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

Replying to kiwa:

ありがとうございます。

02/26/09 21:11:04 changed by mogi

  • keywords changed from テスト待ち to 差し戻し.

条件が以下の場合に、通知メールが送られないバグがありました。差し戻します。

  • OPENPNE_AUTH_MODE: slavepne, IS_SLAVEPNE_EMAIL_REGIST: true, 新規登録者通知設定: 通知する
  • OPENPNE_AUTH_MODE: slavepne, IS_SLAVEPNE_EMAIL_REGIST: false, 新規登録者通知設定: 通知する

02/26/09 21:14:22 changed by kiwa

なおしちゃいます。

02/26/09 23:28:26 changed by kiwa

  • keywords changed from 差し戻し to テスト待ち.

直そうとおもったら少し根の深い修正になりそうなので別チケットにします。

  • #3673: SlavePNEモードで管理者への新規SNS登録者通知が送られない

02/26/09 23:37:50 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

その他の不具合についても別チケット作成しました。それほど致命的な不具合でもないのでこのチケットはひとまず完了とします。

  • #3674: OPENPNE_AUTH_MODEがemail以外の場合に新規SNS登録者通知にログインIDが記載されない
  • #3675: CSVインポートで新規SNS登録者通知が届く